<?php


namespace fridgie\modeles;

use Illuminate\Database\Eloquent\Builder;
class Contient extends \Illuminate\Database\Eloquent\Model
{
    protected $table = 'contient';
    protected $primaryKey = ['idRecette', 'idIngre'];
    public $timestamps = false ;
    public $incrementing = false;


    public function recette() {
        return $this->belongsTo('fridgie\modeles\Recette', 'idRecette');
    }

    public function ingredient() {
        return $this->hasOne('fridgie\modeles\Ingredient', 'idIngre');
    }

    /**
     * Set the keys for a save update query.
     *
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    protected function setKeysForSaveQuery(Builder $query)
    {
        $keys = $this->getKeyName();
        if(!is_array($keys)){
            return parent::setKeysForSaveQuery($query);
        }

        foreach($keys as $keyName){
            $query->where($keyName, '=', $this->getKeyForSaveQuery($keyName));
        }

        return $query;
    }

    /**
     * Get the primary key value for a save query.
     *
     * @param mixed $keyName
     * @return mixed
     */
    protected function getKeyForSaveQuery($keyName = null)
    {
        if(is_null($keyName)){
            $keyName = $this->getKeyName();
        }

        if (isset($this->original[$keyName])) {
            return $this->original[$keyName];
        }

        return $this->getAttribute($keyName);
    }
}